stages:
  - rpm
  - deploy

variables:
  DEPLOY_REPO_URL: "https://repo.deployctl.com"
  DEPLOY_REPO_PATH: "/"

rpm:
  image: rpmbuild/centos7
  stage: rpm
  script:
      - ./makerpm xz
  artifacts:
    paths:
      - rpm
  tags:
    - odagrun

deploy:
  stage: deploy
  variables:
    GIT_STRATEGY: none
  script:
    - deployctl repo_add
  tags:
    - deployctl-gioxapp.com
  environment:
    name: production

